package com.gic.haoban.manage.web.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author guojx
 * @Date 2022/3/17 15:23
 */
public class AiMemberLogListVO implements Serializable {

    private Long aiLogId;

    /**
     * 拨打时间 （触达时间）
     */
    private Date aiTime;

    /**
     * 活动名称
     */
    private String planName;

    /**
     * 活动场景
     */
    private String activityScene;

    /**
     * 话术名称（模板名称）
     */
    private String aiTemplateName;

    public Long getAiLogId() {
        return aiLogId;
    }

    public AiMemberLogListVO setAiLogId(Long aiLogId) {
        this.aiLogId = aiLogId;
        return this;
    }

    public Date getAiTime() {
        return aiTime;
    }

    public AiMemberLogListVO setAiTime(Date aiTime) {
        this.aiTime = aiTime;
        return this;
    }

    public String getPlanName() {
        return planName;
    }

    public AiMemberLogListVO setPlanName(String planName) {
        this.planName = planName;
        return this;
    }

    public String getActivityScene() {
        return activityScene;
    }

    public AiMemberLogListVO setActivityScene(String activityScene) {
        this.activityScene = activityScene;
        return this;
    }

    public String getAiTemplateName() {
        return aiTemplateName;
    }

    public AiMemberLogListVO setAiTemplateName(String aiTemplateName) {
        this.aiTemplateName = aiTemplateName;
        return this;
    }

    @Override
    public String toString() {
        return "AiMemberLogListVO{" +
                "aiLogId=" + aiLogId +
                ", aiTime=" + aiTime +
                ", planName='" + planName + '\'' +
                ", activityScene='" + activityScene + '\'' +
                ", aiTemplateName='" + aiTemplateName + '\'' +
                '}';
    }
}
